Gets the current value

- « AppendIterator::__construct

- AppendIterator::getArrayIterator »

- PHP Manual
- AppendIterator
- Gets the current value

# AppendIterator::current

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

AppendIterator::current — Gets the current value

### Description

public AppendIterator::current(): mixed

Gets the current value.

### Parameters

This function has no parameters.

### Return Values

The current value if it is valid or `null` otherwise.

### See Also

- Iterator::current() - Return the current element
- AppendIterator::key() - Gets the current key
- AppendIterator::valid() - Checks validity of the current element
- AppendIterator::next() - Moves to the next element
- AppendIterator::rewind() - Rewinds the Iterator